/**
 * @since 1.0.0
 */
import type { DynamoDBClientConfig } from "@aws-sdk/client-dynamodb";
import { Effect, Layer } from "effect";
import type { DynamoDBService } from "./DynamoDBService.js";
/**
 * @since 1.0.0
 * @category dynamodb service config
 */
export declare const withDynamoDBServiceConfig: {
    (config: DynamoDBService.Config): <A, E, R>(effect: Effect.Effect<A, E, R>) => Effect.Effect<A, E, R>;
    <A, E, R>(effect: Effect.Effect<A, E, R>, config: DynamoDBService.Config): Effect.Effect<A, E, R>;
};
/**
 * @since 1.0.0
 * @category dynamodb service config
 */
export declare const setDynamoDBServiceConfig: (config: DynamoDBService.Config) => Layer.Layer<never, never, never>;
/**
 * @since 1.0.0
 * @category adapters
 */
export declare const toDynamoDBClientConfig: Effect.Effect<DynamoDBClientConfig>;
//# sourceMappingURL=DynamoDBServiceConfig.d.ts.map