"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toDynamoDBClientConfig = exports.setDynamoDBServiceConfig = exports.withDynamoDBServiceConfig = void 0;
const commons_1 = require("@effect-aws/commons");
const effect_1 = require("effect");
const Function_1 = require("effect/Function");
const GlobalValue_1 = require("effect/GlobalValue");
/**
 * @since 1.0.0
 * @category dynamodb service config
 */
const currentDynamoDBServiceConfig = (0, GlobalValue_1.globalValue)("@effect-aws/client-dynamodb/currentDynamoDBServiceConfig", () => effect_1.FiberRef.unsafeMake({}));
/**
 * @since 1.0.0
 * @category dynamodb service config
 */
exports.withDynamoDBServiceConfig = (0, Function_1.dual)(2, (effect, config) => effect_1.Effect.locally(effect, currentDynamoDBServiceConfig, config));
/**
 * @since 1.0.0
 * @category dynamodb service config
 */
const setDynamoDBServiceConfig = (config) => effect_1.Layer.locallyScoped(currentDynamoDBServiceConfig, config);
exports.setDynamoDBServiceConfig = setDynamoDBServiceConfig;
/**
 * @since 1.0.0
 * @category adapters
 */
exports.toDynamoDBClientConfig = effect_1.Effect.gen(function* () {
    const { logger: serviceLogger, ...config } = yield* effect_1.FiberRef.get(currentDynamoDBServiceConfig);
    const logger = serviceLogger === true
        ? yield* commons_1.ServiceLogger.toClientLogger(commons_1.ServiceLogger.defaultServiceLogger)
        : (serviceLogger ? yield* commons_1.ServiceLogger.toClientLogger(commons_1.ServiceLogger.make(serviceLogger)) : undefined);
    return { logger, ...config };
});
//# sourceMappingURL=DynamoDBServiceConfig.js.map